/*
 *+------------------------------------------------------------------------+
 *| Licensed Materials - Property of IBM                                   |
 *| (C) Copyright IBM Corp. 2012.  All Rights Reserved.              |
 *|                                                                        |
 *| US Government Users Restricted Rights - Use, duplication or disclosure |
 *| restricted by GSA ADP Schedule Contract with IBM Corp.                 |
 *+------------------------------------------------------------------------+
 */

command {
   
   name "close"
   description "Closes current command session."	 
	 contexts "create", "edit", "new"
	 
	 instance {
	    invoke {
	    	def list = com.ibm.edp.rfe.model.ScriptList.getInstance()
 		    def script = list.getCurrentScript();    
 		    
 		    //Can I call the save command from the dsl script ( don't want to recreate the logic here as well
 		    if ( script && script.isDirty() ) {
 		    	def defaultvalue = "Yes"
				def tmp = session.getInput().readDirect( session, "There is unsaved content.\nDo you want to save (Yes/No) [" + defaultvalue + "]: " )
				if (tmp.trim().length() > 0) {
					if (tmp.compareToIgnoreCase("Yes") == 0) {
						 session.getInput().fireListeners("save")
					}
				}	
				else if ( defaultvalue.compareToIgnoreCase("Yes") == 0) {
					session.getInput().fireListeners("save")
				}
			}
			
			def serverConfig = script.getServerConfig()	
			serverConfig.getUrls().each {
				com.ibm.edp.rfe.model.ModelUtil.closeRepository(serverConfig, it)
			}
			 		    
 		    session.setReturnCode(0);
			session.setDone();
	    }
	 }
	 
}