/*
 *+------------------------------------------------------------------------+
 *| Licensed Materials - Property of IBM                                   |
 *| (C) Copyright IBM Corp. 2012.  All Rights Reserved.              |
 *|                                                                        |
 *| US Government Users Restricted Rights - Use, duplication or disclosure |
 *| restricted by GSA ADP Schedule Contract with IBM Corp.                 |
 *+------------------------------------------------------------------------+
 */
command {
   
   name "history"
   description "History list of previously entered actions."
	 contexts "console", "command"
	 
	 instance {	    	    
	    invoke {	       
	       def clear = switches["-clear"]
	       if(clear == null) {
		       def hidx = 1;
		       session.getCommandHistory().getCommands().each {
		          if( "history" != it.hoptions.getCommandName() ){
			          sprintln "[" + hidx + "]\t" + it.hoptions.getRawInput()
			          hidx++
			        }
		       }
	       }	       
		   else {
		       session.getCommandHistory().clear()
		   }	       
	    }
	 }
	 
   arguments {
	     "-clear" {
	        datatype "switch"
	        optional true	     
	        description "Clear the history for the current context."
	     }   
	 }	 	 
	 
}