/*
 *+------------------------------------------------------------------------+
 *| Licensed Materials - Property of IBM                                   |
 *| (C) Copyright IBM Corp. 2012.  All Rights Reserved.              |
 *|                                                                        |
 *| US Government Users Restricted Rights - Use, duplication or disclosure |
 *| restricted by GSA ADP Schedule Contract with IBM Corp.                 |
 *+------------------------------------------------------------------------+
 */
command {
   
   name "uninstall"
   description "Add uninstall operation of a named product."
	 contexts "create", "edit"
	 
	 instance {	    	    
	    
	    invoke {
	    
			def pid = arguments["id"]
						  			
			def pkgs = com.ibm.edp.rfe.model.ModelUtil.findPackages(pid,null)			
			if(pkgs.size() > 0){				
				def pkg = pkgs[pkgs.size()-1]
					
			    def list = com.ibm.edp.rfe.model.ScriptList.getInstance()
		        def script = list.getCurrentScript()

		        def pg = new com.ibm.edp.rfe.model.PackageGroup(name: "env")
			    script.addGroup( pg )
	            
	            def pkgname = com.ibm.edp.rfe.model.ScriptNaming.getPackageName( pkg.getName() )  	        
		        def p = new com.ibm.edp.rfe.model.Package(name: pkgname, identity: new com.ibm.edp.rfe.model.PackageIdentity() )	   
		        script.addPackage(p)
	
		        def cmd = new com.ibm.edp.rfe.model.Command(name: "uninstall", packages: [p], group: pg)
		        script.addCommand( cmd )
								
				def queryRuntime = com.ibm.edp.rfe.console.query.QueryRuntime.getInstance()
			    def inputValues = [packageId:pid, pkg: p,  env: pg, cmd: cmd]
			    queryRuntime.run(session, "uninstall", inputValues)

		        sprintln "uninstall command has been added successfully"		        
						   			
			} else {
			   sprintln "Package identified by $pid can not be found" 
			}
		  }
	 }
	 
	 arguments {
	     "id" {	        
	        datatype "list"
	        values {	
	           com.ibm.edp.rfe.model.ModelUtil.getPackageNames().collect{ it.key }
	        }
	        description "Enter package identifier."
	     }
	 }	 	 
}